> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.littglobal.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.littglobal.com/_mcp/server.

# Get Banner Ads

POST TBD/api/v2/banner-ads/view

This endpoint provides users with the data related to the banner ads displayed based on the user's current location, represented by latitude and longitude.

### Request Body

- `latitude` (float): The latitude of the user's current location.
    
- `longitude` (float): The longitude of the user's current location.
    

### Response

- `unityAdsRatio` (string): The probability to display Unity Banner instead of LITT Banner.
    
- `url` (string): The URL that the Ad redirects to upon clicking.
    
- `image_url` (string): The URL for the LITT banner Ad image.

Reference: https://docs.littglobal.com/litt-white-label/api-reference/gift-card-promotion/get-banner-ads

## Request

### Query parameters

- `api_token` (string, optional)

## Response

### 200

Get Banner Ads

- `message` (string, optional)
- `api` (string, optional)
- `status` (string, optional)
- `data` (ApiV2BannerAdsViewPostResponsesContentApplicationJsonSchemaData, optional)

## Types

### ApiV2BannerAdsViewPostResponsesContentApplicationJsonSchemaData

- `unityAdsRatio` (string, optional)
- `url` (string, optional)
- `image_url` (string, optional)

## Examples

**Response**

```json
{
  "message": "Successfully retrieved banner.",
  "api": "banner-ads",
  "status": "success",
  "data": {
    "unityAdsRatio": "100",
    "url": "",
    "image_url": ""
  }
}
```

**SDK Code**

```python Gift Card & Promotion_getBannerAds_example
import requests

url = "https://tbd/api/v2/banner-ads/view"

querystring = {"api_token":"{{token}}"}

response = requests.post(url, params=querystring)

print(response.json())
```

```javascript Gift Card & Promotion_getBannerAds_example
const url = 'https://tbd/api/v2/banner-ads/view?api_token=%7B%7Btoken%7D%7D';
const options = {method: 'POST'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Gift Card & Promotion_getBannerAds_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://tbd/api/v2/banner-ads/view?api_token=%7B%7Btoken%7D%7D"

	req, _ := http.NewRequest("POST", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Gift Card & Promotion_getBannerAds_example
require 'uri'
require 'net/http'

url = URI("https://tbd/api/v2/banner-ads/view?api_token=%7B%7Btoken%7D%7D")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)

response = http.request(request)
puts response.read_body
```

```java Gift Card & Promotion_getBannerAds_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://tbd/api/v2/banner-ads/view?api_token=%7B%7Btoken%7D%7D")
  .asString();
```

```php Gift Card & Promotion_getBannerAds_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://tbd/api/v2/banner-ads/view?api_token=%7B%7Btoken%7D%7D');

echo $response->getBody();
```

```csharp Gift Card & Promotion_getBannerAds_example
using RestSharp;

var client = new RestClient("https://tbd/api/v2/banner-ads/view?api_token=%7B%7Btoken%7D%7D");
var request = new RestRequest(Method.POST);
IRestResponse response = client.Execute(request);
```

```swift Gift Card & Promotion_getBannerAds_example
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://tbd/api/v2/banner-ads/view?api_token=%7B%7Btoken%7D%7D")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```